package main

import (
	"log"

	xbusclient_cmd "xbus.io/go-xbus/v3/cmd"
	xbushttp_cmd "xbus.io/xbus/cmd/xbus-http/cmd"
	xbusctl_cmd "xbus.io/xbus/cmd/xbusctl/cmd"
	xbusd_cmd "xbus.io/xbus/cmd/xbusd/cmd"
)

const outputDir = "source/cmd/auto"

func main() {
	if err := GenSphinxTree(xbusd_cmd.RootCmd, outputDir); err != nil {
		log.Fatal(err)
	}
	if err := GenSphinxTree(xbusctl_cmd.RootCmd, outputDir); err != nil {
		log.Fatal(err)
	}
	if err := GenSphinxTree(xbusclient_cmd.RootCmd, outputDir); err != nil {
		log.Fatal(err)
	}
	if err := GenSphinxTree(xbushttp_cmd.RootCmd, outputDir); err != nil {
		log.Fatal(err)
	}
}
